Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1339225 - Spinner rotates continuously when Choose Catalog Item Type
Summary: Spinner rotates continuously when Choose Catalog Item Type
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.6.0
Assignee: Harpreet Kataria
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:catalog
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 12:26 UTC by Niyaz Akhtar Ansari
Modified: 2016-10-06 13:04 UTC (History)
7 users (show)

Fixed In Version: 5.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-06 13:04:26 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
nansari: automate_bug+


Attachments (Terms of Use)
screenshot (84.49 KB, image/png)
2016-05-24 12:26 UTC, Niyaz Akhtar Ansari
no flags Details

Description Niyaz Akhtar Ansari 2016-05-24 12:26:20 UTC
Created attachment 1161013 [details]
screenshot

Description of problem:

Version-Release number of selected component (if applicable):
Version 5.6.0.7-beta2.6.20160516171555_b1be31f


How reproducible:
100%

Steps to Reproduce:
1.Compute->service->catalogs
2.Click on Catalog Items->Click on Add a new Catalog Item from Configuration tab  
3.Choose Catalog Item Type (Select only Amazon/Azure/Google/RHEV/SCVMM) from drop down box.

Actual results:
Spinner rotates continuously when choosing item type 

Expected results:
Details form should display After spinner rotates. 

Additional info:

Comment 2 Harpreet Kataria 2016-05-24 13:32:54 UTC
Niyaz,

Please try this with latest build, there have been some fixes recently on upstream master to fix infinite spinners in UI that may have fixed this issue as well.

https://github.com/ManageIQ/manageiq/pull/8851

Thanks,
~Harpreet

Comment 3 Niyaz Akhtar Ansari 2016-05-26 06:17:43 UTC
Harpreet,

It has been fixed in latest build.

Build:5.6.0.8-rc1.20160524155303_f2a5a50 

 Thanks,
 ~Niyaz

Comment 5 Niyaz Akhtar Ansari 2016-07-12 12:23:01 UTC
Milan,

Adding Catalog Item for different provider type has been automated in the  services module which includes this case also.

Thanks,
~Niyaz

Comment 7 Matouš Mojžíš 2016-10-06 13:04:26 UTC
Verified in 5.6.1.2. Spinner rotates for about three seconds, so it's okay. Then dialog for creating catalog item appears.


Note You need to log in before you can comment on or make changes to this bug.